%global tag 94b8f95c45d0d9e4444af2d9244a5fd065a469e3

Name:      eclipse-dtp
Version:   1.14.102
Release:   1%{?dist}
Summary:   Eclipse Data Tools Platform
License:   EPL-1.0
URL:       http://www.eclipse.org/datatools/

Source0:  http://git.eclipse.org/c/datatools/org.eclipse.datatools.git/snapshot/org.eclipse.datatools-%{tag}.tar.xz

BuildArch:        noarch

BuildRequires:    tycho
BuildRequires:    tycho-extras
BuildRequires:    apache-commons-net
BuildRequires:    eclipse-emf-runtime
BuildRequires:    eclipse-gef
BuildRequires:    eclipse-pde
BuildRequires:    xalan-j2
BuildRequires:    xerces-j2
BuildRequires:    xml-commons-apis
BuildRequires:    xml-commons-resolver
BuildRequires:    wsdl4j
BuildRequires:    lpg-java-compat = 1.1.0
BuildRequires:    lucene
BuildRequires:    lucene-analysis
BuildRequires:    lucene-queryparser

%description
The Eclipse Data Tools Platform provides extensible frameworks and exemplary 
tools, enabling a diverse set of plug-in offerings specific to particular 
data-centric technologies and supported by the DTP ecosystem.

%prep
%setup -q -n org.eclipse.datatools-%{tag}

# Avoid using tycho-sourceref-jgit due to source tarball not being a git repo
%pom_remove_plugin :tycho-packaging-plugin

# Don't need to build tests or update site for RPM builds
%pom_disable_module tests
%pom_disable_module site

# Don't build oda bundles
%pom_disable_module org.eclipse.datatools.enablement.oda.ecore plugins/enablement
%pom_disable_module org.eclipse.datatools.enablement.oda.ecore.ui plugins/enablement
%pom_disable_module org.eclipse.datatools.enablement.oda.ecore.feature features
%pom_disable_module org.eclipse.datatools.enablement.oda.ecore.sdk.feature features

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles

%changelog
* Wed Sep 12 2018 Mat Booth <mat.booth@redhat.com> - 1.14.102-1
- Update to latest release
- Amend license tag

* Mon Sep 10 2018 Mat Booth <mat.booth@redhat.com> - 1.14.101-1
- Update to latest upstream release

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.100-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 4 2018 Alexander Kurtakov <akurtako@redhat.com> 1.14.100-4
- Newer upstream tarball to fix compile against Photon.

* Mon Mar 26 2018 Mat Booth <mat.booth@redhat.com> - 1.14.100-3
- Fix NCDFE when starting the o.e.datatools.connectivity bundle

* Tue Feb 06 2018 Nick Boldt <nboldt@redhat.com> - 1.14.100-2
- Remove obsolete patch file

* Tue Feb 06 2018 Nick Boldt <nboldt@redhat.com> - 1.14.100-1
- Update to latest DTP build, which now builds with tycho by itself, from a single repo

* Fri Dec 15 2017 Mat Booth <mat.booth@redhat.com> - 1.14.1-1
- Update to latest DTP build

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 05 2017 Mat Booth <mat.booth@redhat.com> - 1.14.0-1
- Update to latest upstream version

* Mon May 08 2017 Mat Booth <mat.booth@redhat.com> - 1.12.0-10
- Fix build against Oxygen

* Tue Apr 11 2017 Mat Booth <mat.booth@redhat.com> - 1.12.0-9
- Allow building against lucene 6 and organise patches

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Apr 27 2016 Mat Booth <mat.booth@redhat.com> - 1.12.0-7
- Build/install with tycho/xmvn

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 24 2015 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-5
- Fix build against Lucene 5.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 15 2015 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-3
- Adapt pde-build call to changed gef path.

* Wed Dec 3 2014 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-2
- Fix build after eclipse-emf-runtime split.
- Modernize package a bit.

* Wed Aug 13 2014 Mat Booth <mat.booth@redhat.com> - 1.12.0-1
- Update to upstream Luna release

* Fri Jun 20 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.11.2-5
- Add feature org.eclipse.datatools.doc.user

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-3
- Accomodate new Lucene sub-packages.

* Tue Mar 18 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-2
- Port to Lucene 4.

* Mon Mar 17 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-1
- Update to latest upstream, Kepler SR2.
- Drop requires on java, rhbz #1068036

* Tue Oct 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.11.1-1
- Update to Kepler SR1.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.11.0-1
- Update to Kepler release.

* Tue Feb 26 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.10.2-1
- Update to latest upstream.

* Thu Feb 21 2013 Alexander Kurtakov <akurtako@redhat.com> 1.10.1-4
- Remove leftovers from old rpm.
- Fix too strict lucene.core scriptlet.
